Package: groovy.org.codenarc.rule.design

## [Groovy] Class FinalClassWithProtectedMemberRule

- groovy.org.codenarc.rule.design.FinalClassWithProtectedMemberRule

- This rule finds classes marked final that contain protected methods and fields. If a class is final then it may not be subclassed, and there is therefore no point in having a member with protected visibility. Either the class should not be final or the member should be private or protected.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority